Skip to contents

# Converts REDCap choices to factor levels and stores in labels attribute

Source: `R/read_redcap_tables.R`
`format_redcap_factor.Rd`

Applying as_factor to the data.frame or variable, will coerce to a factor.

## Usage

    format_redcap_factor(data, meta)

## Arguments

data

  vector

meta

  vector of REDCap choices

## Value

vector of class "labelled" with a "labels" attribute

## Examples

    format_redcap_factor(sample(1:3, 20, TRUE), "1, First. | 2, second | 3, THIRD")
    #>  [1] 2 2 1 2 1 2 3 1 2 2 2 1 1 3 2 1 2 3 1 1
    #> attr(,"labels")
    #> First. second  THIRD
    #>    "1"    "2"    "3"
    #> attr(,"class")
    #> [1] "labelled"